# Uses of Class
io.dapr.client.domain.InvokeMethodRequest

Packages that use InvokeMethodRequest
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of InvokeMethodRequest in io.dapr.client

Methods in io.dapr.client with parameters of type InvokeMethodRequest
Modifier and Type
Method
Description
`<T> reactor.core.publisher.Mono<T>`
DaprClient.`invokeMethod(InvokeMethodRequest invokeMethodRequest, TypeRef<T> type)`
Invoke a service method.
`<T> reactor.core.publisher.Mono<T>`
DaprClientImpl.`invokeMethod(InvokeMethodRequest invokeMethodRequest, TypeRef<T> type)`

## Uses of InvokeMethodRequest in io.dapr.client.domain

Methods in io.dapr.client.domain that return InvokeMethodRequest
Modifier and Type
Method
Description
`InvokeMethodRequest`
InvokeMethodRequest.`setBody(Object body)`
`InvokeMethodRequest`
InvokeMethodRequest.`setContentType(String contentType)`
`InvokeMethodRequest`
InvokeMethodRequest.`setHttpExtension(HttpExtension httpExtension)`
`InvokeMethodRequest`
InvokeMethodRequest.`setMetadata(Map<String,String> metadata)`